/*
  PROGRAM BY EMAN FOR 2K-SOFT 
  WWW : WWW.2K-SOFT.GAMECODE.CZ   
*/

#ifndef _BMP_H_
#define _BMP_H_

#include "../app/EngineH.h"
#include "../GLDef.h"

#define MAXTEXTUR 1
#define POCETFILTRU 1
#define STRING 255

class MBMP
{
private :
	int PocetBitmap;
	GLuint texture[MAXTEXTUR][POCETFILTRU];						// Ukládá texturu pro Scenu 

public :
	MBMP();
	~MBMP();
	bool LoadFileBimap(TCHAR name[STRING]);
	GLuint LoadTextureToUint(TCHAR name[STRING]);
	GLuint LoadTextureToUintRGBA(TCHAR name[STRING], TRGBi barva);
	TVel LoadData(TCHAR name[STRING], TRGBi barva, unsigned char *data );
	bool MLoadBmp(TCHAR name[STRING]);
	TVel GetVel( TCHAR name[STRING] );
	GLuint TextureBack(int pt,int filtr);

};

#endif //_BMP_H_